**Source URL:** https://general.veevavault.dev/vault-api/api-reference/26.1/workflows/workflow-tasks/manage-multi-item-workflow-content.md

# Manage Multi-item Workflow Content



Manage content in a multi-item workflow without completing an open workflow task. For example, you can use this endpoint to provide verdicts for specific items without completing the task. This endpoint does not support initiating task actions requiring eSignatures (where `esignature` is `true`).

<Endpoint path="/api/{version}/objects/objectworkflows/tasks/{task_id}/actions/mdwmanagecontent" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/json` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{task_id}` | The task `id` field value. |
</FieldTable>

## Body Parameters {#body-parameters}

Controls with `required=true` in the [Retrieve Workflow Task Action Details](/vault-api/api-reference/26.1/workflows/workflow-tasks/retrieve-workflow-task-action-details) response can be provided. If a control (such as `verdict`) defines a set of required fields, those can also be provided. For example, a specific verdict may prompt for comments, reasons, or capacities.

In the body of the request, upload parameters as a JSON file. This request may include the following body parameters:

<FieldTable>
| Name | Description |
| --- | --- |
| `verdict_public_key__c` | The verdict name. Retrieve possible verdict `name` values by sending a request to [Retrieve Workflow Task Action Details](/vault-api/api-reference/26.1/workflows/workflow-tasks/retrieve-workflow-task-action-details). |
| `reason__c` | The reason name. Retrieve possible reason `name` values by sending a request to [Retrieve Workflow Task Action Details](/vault-api/api-reference/26.1/workflows/workflow-tasks/retrieve-workflow-task-action-details). |
| `capacity__c` | The capacity name. Retrieve possible capacity `name` values by sending a request to [Retrieve Workflow Task Action Details](/vault-api/api-reference/26.1/workflows/workflow-tasks/retrieve-workflow-task-action-details). |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
--data-raw '[
    {
        "contents__sys": [
        {
            "object__v": "batch__v",
            "record_id__v": "0BA000000000101",
            "verdict_public_key__c": "verdict_not_approved__c",
            "verdict_not_approved_comment__c": "Needs to be redone."
        },
        {
            "object__v": "batch__v",
            "record_id__v": "0BA000000002001",
            "verdict_public_key__c": "verdict_approved__c"
        },
        {
            "object__v": "batch__v",
            "record_id__v": "0BA000000002002",
            "verdict_public_key__c": "verdict_not_approved__c",
            "verdict_not_approved_comment__c": "Does not meet standards."
        }
        ]
    }
]' \
https://myvault.veevavault.com/api/v25.1/objects/objectworkflows/tasks/9626/actions/mdwmanagecontent

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS"
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, Vault modifies the contents in the multi-item workflow according to the JSON payload provided. Use [Retrieve Workflow Task Action Details](/vault-api/api-reference/26.1/workflows/workflow-tasks/retrieve-workflow-task-action-details) to confirm any changes to `current_values`. You must use [Complete Multi-item Workflow Task](/vault-api/api-reference/26.1/workflows/workflow-tasks/complete-multi-item-workflow-task) to complete the open workflow task.



---

**Previous:** [Cancel Workflow Task](/vault-api/api-reference/26.1/workflows/workflow-tasks/cancel-workflow-task)  
**Next:** [Complete Job Step](/vault-api/api-reference/26.1/workflows/complete-job-step)